#include <bits/stdc++.h>

using namespace std;

int main()
{
    string x,y;
    int xl,yl,xc,k=0,l=0;
    cin>>x>>y;
    xl = x.length();
    yl = y.length();
    if(xl>yl)
    {
        cout<<x.substr(0,xl-yl);
        k = xl - yl;
    }
    if(yl>xl)
    {
        cout<<y.substr(0,yl-xl);
        l = yl - xl;
    }
    for(int i = 0; i < min(xl,yl); i++)
    {
        if(x[i+k]>y[i+l])
        {
            cout<<x[i+k];
        }
        else if(x[i+k]<y[i+l])
        {
            cout<<y[i+l];
        }
        else
        {
            cout<<x[i+k]<<y[i+l];
        }
    }
    return 0;
}